<?php

namespace KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Payment\Transaction\Resource\Collection\Item;

use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Payment\Transaction\Resource\Collection\Item\Data\TransactionListItemInterface;
use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Payment\Transaction\Resource\Response\TransactionTrait;
use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Resource\ResponseTrait;
use KrokedilSwedbankPayDeps\SwedbankPay\Framework\DataObjectCollectionItem;
class TransactionListItem extends DataObjectCollectionItem implements TransactionListItemInterface
{
    use TransactionTrait;
    use ResponseTrait;
    /**
     * @return string
     */
    public function getId()
    {
        return $this->offsetGet(self::ID);
    }
    /**
     * @param string $resourceId
     * @return $this
     */
    public function setId($resourceId)
    {
        $this->offsetSet(self::ID, $resourceId);
        return $this;
    }
}
